---
title: AudioTrackList.length
slug: Web/API/AudioTrackList/length
tags:
  - API
  - Audio
  - AudioTrackList
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - length
  - list
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("AudioTrackList")}}</strong> property <code><strong>length</strong></code> returns the number of entries in the <code>AudioTrackList</code>, each of which is an {{domxref("AudioTrack")}} representing one audio track in the media element.</span> A value of 0 indicates that there are no audio tracks in the media.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackCount</em> = <em>AudioTrackList</em>.length;</pre>

<h3 id="Value">Value</h3>

<p>A number indicating how many audio tracks are included in the <code>AudioTrackList</code>. Each track can be accessed by treating the <code>AudioTrackList</code> as an array of objects of type {{domxref("AudioTrack")}}.</p>

<h2 id="Example">Example</h2>

<p>This snippet gets the number of audio tracks in the first {{HTMLElement("video")}} element found in the {{Glossary("DOM")}} by {{domxref("Document.querySelector", "querySelector()")}}.</p>

<pre class="brush: js">var videoElem = document.querySelector("video");
var numAudioTracks = 0;

if (videoElem.audioTracks) {
  numAudioTracks = videoElem.audioTracks.length;
}
</pre>

<p>Note that this sample checks to be sure {{domxref("HTMLMediaElement.audioTracks")}} is defined, to avoid failing on browsers without support for {{domxref("AudioTrack")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'media.html#dom-audiotracklist-length', 'AudioTrackList.length')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'embedded-content-0.html#dom-audiotracklist-length', 'AudioTrackList.length')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioTrackList.length")}}</p>
